#include <bits/stdc++.h>
#define all(x) (x).begin(),(x).end()
#define ll long long
using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    int n, m;
    cin>>n>>m;
    vector<ll> a(m), b(31, 0);
    if(n==1){
        for(int i=0; i<m; i++) cin>>a[i];
        for(int i=0; i<31; i++){
            for(int j=0; j<m; j++){
                if(a[j]&(1<<i)) b[i]++;
            }
        }
        ll suma=0;
        for(int i=0; i<31; i++){
            suma+=(min(b[i], m-b[i])*(1<<i));
        }
        cout<<suma;
    }
    else cout<<0;
    return 0;
}